Bug 5841 - Routing slip not displaying publication date
Summary: Routing slip not displaying publication date
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 00:01 UTC by Reed Wade
Modified: 2013-12-05 19:59 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
adds publication date to routing slip (1.33 KB, patch)
2011-03-08 00:14 UTC, Reed Wade
Details | Diff | Splinter Review
routing list before patch (20.36 KB, image/png)
2011-03-08 14:12 UTC, Nicole C. Engard
Details
New Patch (5.51 KB, patch)
2011-04-05 02:30 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5841: Routing slip not displaying publication date (1.42 KB, patch)
2012-02-21 06:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5841: Routing slip not displaying publication date (1.48 KB, patch)
2012-03-20 11:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5841: Routing slip not displaying publication date (1.56 KB, patch)
2012-03-22 06:42 UTC, Kristina Hoeppner
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Reed Wade 2011-03-08 00:01:19 UTC
If printed from the 'edit routing list' page the routing slip shows the publication date. If printed from the 'print list' page, no publication date is shown.

Patch to be provided add this in koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tmpl
Comment 1 Reed Wade 2011-03-08 00:14:24 UTC Comment hidden (obsolete)
Comment 2 Reed Wade 2011-03-08 00:15:23 UTC
This work sponsored by Opus.
Comment 3 Nicole C. Engard 2011-03-08 14:12:17 UTC Comment hidden (obsolete)
Comment 4 Colin Campbell 2011-03-08 15:07:36 UTC
The patch in its current form does not do anything. It passes extra parameters to a function which doesn't look at them and whose main function is to call a perl program, which reads the data for the slip. Is there something missing here?
Comment 5 Chris Cormack 2011-04-05 02:30:36 UTC Comment hidden (obsolete)
Comment 6 Reed Wade 2011-04-05 03:27:17 UTC
Hold off testing for now; there's a possible change to this in the works
Comment 7 MJ Ray (software.coop) 2011-04-06 13:52:12 UTC
This bug is mentioned in:
Bug 5841 - routing slip not showing	publication date http://lists.koha-community.org/pipermail/koha-patches/2011-March/014008.html
Comment 8 Katrin Fischer 2012-02-19 12:51:34 UTC
The "Print list" links still don't print the publication date. 

The publication date is only printed, when using "Edit routing list" and printing the slip from the preview there.
Comment 9 Katrin Fischer 2012-02-21 06:22:48 UTC Comment hidden (obsolete)
Comment 10 delaye 2012-03-15 14:10:18 UTC
I tried applying the patch in a sandbox but i have this message

Applying: Bug 5841: Routing slip not displaying publication date
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 5841: Routing slip not displaying publication date
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 11 Magnus Enger 2012-03-19 08:20:09 UTC
Guess this should be set to "doesn't apply", then.
Comment 12 Katrin Fischer 2012-03-20 11:22:20 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2012-03-20 11:22:58 UTC
Rebased on current master and fixed the conflict - should be testable now :)
Comment 14 Kristina Hoeppner 2012-03-22 06:42:31 UTC
Created attachment 8462 [details] [review]
[SIGNED-OFF] Bug 5841: Routing slip not displaying publication date

Tested as per Katrin's test scenario. Both pages show the same date.

Assumption: "Publication date" means the "serialplanneddate" (found by Katrin) and not the date that the issue was published.
Comment 15 Ian Walls 2012-03-22 13:16:32 UTC
Template only change to add serialplanneddate to routing slip.  Marking Passed QA.
Comment 16 Jared Camins-Esakov 2012-05-09 16:57:14 UTC
This bug will be included in the Koha 3.6.5 release.